from math import *
import matplotlib.pyplot as plt
import numpy as np

print("")
print("**************************************")
print("*Interférences                       *")
print("*************************Hatier 2020**")

print("")
print("Attention : le séparateur décimal est le point")
print("")

# Saisie des paramètres des signaux
freq=float(input('fréquence du signal (Hz) = '))
ampl1=float(input('amplitude du signal 1 = '))
ampl2=float(input('amplitude du signal 2 = '))
cel=float(input('célérité (m/s) = '))
delta=float(input('différence de marche (m) = '))

# Calcul du déphasage
deph=2*pi*freq*delta/cel
print("déphasage = ",deph," = ",deph/(2*pi),"* 2 pi")

# Construction des listes
listet=np.linspace(0,2/freq,250)
listesign1=np.linspace(0,2/freq,250)
listesign2=np.linspace(0,2/freq,250)
listesuperpo=np.linspace(0,2/freq,250)

for i in range(0,250) :
    listesign1[i]=ampl1*sin(2*pi*freq*listet[i])
    listesign2[i]=ampl2*sin(2*pi*freq*listet[i]+deph)
    listesuperpo[i]=listesign1[i]+listesign2[i]
    
# Tracé des graphiques
plt.plot(listet,listesign1,color="blue")
plt.plot(listet,listesign2,color="green")
plt.plot(listet,listesuperpo,color="red")
plt.title("signal 1 en bleu, 2 en vert, somme en rouge")
plt.show()
